stages:
  - build
  - sonar

build:
  stage: build
  image: maven
  script:
    - chmod +x mvnw
    - ./mvnw package
  artifacts:
    paths:
      - target/main-0.0.1-SNAPSHOT.jar

variables:
  SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
  GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task
sonarcloud-check:
  stage: sonar
  image: maven:3.6.3-jdk-13
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - ./mvnw verify sonar:sonar -Dsonar.projectKey=lab2-Danil-Kolesnikov
  only:
    - merge_requests
    - master
    - develop

